onMessage中抛出异常等价于return还是exit

0

在onMessage中抛出异常,等价于return;还是exit;一个只是该次信息处理终止,一个导致框架停止运行
类似以下代码在onMessage中会导致哪种结果?


try {
throw new Exception("123");
} catch (Exception $e) {
echo $e->getMessage();
}
已邀请:

six

赞同来自:

如果异常没有被捕获,进程就退出了,和运行exit效果类似。
上面代码捕获了异常,除了输出写异常信息,其它没影响。

要回复问题请先登录注册